/**
 *  Java GUI Tutorial 
 *  InputFieldExample.java
 *
 *  @autor Gabor Nemeth, HUNGARY 2007
 *    
 *  Licence: free for non-commercial use
 *
 *  This is a sample program without guarantee and liability.
 *  
 *
 **/

import java.awt.*;
import java.awt.event.*;
import javax.swing.*;
import javax.swing.event.*;


public class InputFieldExample extends JFrame implements ActionListener, KeyListener {
  private TextField inputField;
  private JPanel mainPanel, inputPanel;
  private JLabel label;
  private JButton okButton;
  
  public InputFieldExample() {
    super( "Input Field Example" );
    setSize( 400, 100 );
    
    mainPanel = new JPanel();
    mainPanel.setLayout( new BorderLayout() );
    inputPanel = new JPanel();
    inputPanel.setLayout( new FlowLayout() );
    
    okButton = new JButton( "OK" );
    inputField = new TextField( 30 );
    label = new JLabel( "" );
    
    // setting layout
    this.getContentPane().add( mainPanel );
    inputPanel.add( new JLabel( "Name:" ) );
    inputPanel.add( inputField );
    inputPanel.add( okButton );
    mainPanel.add( inputPanel, BorderLayout.NORTH );
    mainPanel.add( label, BorderLayout.SOUTH );

    // add event listeners
    inputField.addKeyListener( this );
    okButton.addActionListener( this );
  }
  
  // event handling
  public void keyPressed( KeyEvent e ) { 
    if ( e.getKeyCode() == KeyEvent.VK_ENTER ) { // if enter pressed
      this.label.setText( "Hi, " + inputField.getText() + "!" );
      this.inputField.setText( "" );
    }
  }
  
  // event handling
  public void keyReleased( KeyEvent e ) {
  }
  // event handling
  public void keyTyped( KeyEvent e ) {
  }
  
  // event handling
  public void actionPerformed( ActionEvent e ) {
    // only the okButton fires ActionEvent
    this.label.setText( "Hi, " + inputField.getText() + "!" );
    this.inputField.setText( "" );
  }
  
  public static void main( String[] args ) {
    InputFieldExample frame = new InputFieldExample();
    frame.setVisible( true );
    
    // this is an implementation of window listener
    // the program will be stopped if you close the main frame
    WindowListener listener = new WindowAdapter() {
      public void windowClosing(WindowEvent we) {
        System.exit(0);
      }
    };
    frame.addWindowListener(listener);
  }
  
  
}

